 %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global basever 2.31.4

Name:           gwibber
Version:        %{basever}
Release:        1%{?dist}
Epoch:          1
Summary:        An open source microblogging client for GNOME developed with Python and GTK
Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/gwibber
# NOTE: Leaving this in case we need to go back to bzr checkouts.
# The source for this package can be pulled from upstream's vcs.  Use the
# following command to generate the tarball:
#   bzr export -r %{bzr_rev} gwibber-%{bzr_rev}bzr.tar.gz lp:gwibber
# Source0:        http://launchpad.net/gwibber/trunk/%{basever}/+download/gwibber-%{version}.tar.gz
Source0:	gwibber-794bzr.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Cleanup facebook auth dialog
Patch0:		gwibber-794bzr-cleanup-fbauth.patch

# Gwibber unicode hack
# See: https://bugs.launchpad.net/gwibber/+bug/532952
Patch1:		gwibber-sqlite-725bzr-twitter-unicode-hack.patch

# Disable libproxy support
# It doesn't work for some unknown reason.
Patch2:		gwibber-pre3-no-libproxy.patch

# Turn off Position printing debug. Noise noise noise!
Patch3:		gwibber-794bzr-no-Position-printing.patch

# Quit when minimized to icon and I tell the icon to quit.
Patch4:		gwibber-794bzr-quit-when-minimized.patch

Requires:	libsoup, python-pycurl, PyXML
Requires:	python 
Requires:	dbus-python >= 0.80.2
Requires:	pygtk2 >= 2.10.4 
Requires:	gnome-python2-gconf >= 2.18.0
Requires:	python-imaging >= 1.1.6
Requires:	notify-python >= 0.1.1
Requires:	pywebkitgtk >= 1.0.1
Requires:	python-simplejson >= 1.9.1
Requires:	mx >= 3.0.0
Requires:	python-distutils-extra
Requires:	python-feedparser >= 4.1
Requires:       pyxdg >= 0.15
Requires:	python-mako >= 0.2.2
Requires:       python-sexy, gnome-python2-gnomekeyring
Requires:       python-oauth
Requires:	gnome-python2-libwnck
BuildRequires:  python-devel, desktop-file-utils, python-distutils-extra, intltool, gettext
BuildArch:      noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q -n gwibber-794bzr
%patch0 -p1 -b .fbauth
%patch1 -p1 -b .gwibber-unicode-hack
%patch2 -p1 -b .no-libproxy
%patch3 -p1 -b .no-position-printing
%patch4 -p1 -b .quit

sed -i -e '/^#! \?\//, 1d' $(find %{name} | grep "\.py$")

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix %{_prefix} -O1 --skip-build --root %{buildroot}

## Reinstall .desktop file
rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications build/share/applications/%{name}.desktop

## Install i18n data  (THIS MUST COME LAST)
cp -a build/mo %{buildroot}%{_datadir}/locale
%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_bindir}/%{name}
%{_bindir}/%{name}-accounts
%{_bindir}/%{name}-error
%{_bindir}/%{name}-poster
%{_bindir}/%{name}-preferences
%{_bindir}/%{name}-service
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/dbus-1/services/com.Gwibber.Service.service
%{_datadir}/dbus-1/services/com.GwibberClient.service
%{_datadir}/indicators/messages/applications/gwibber

%changelog
* Mon Aug  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.4-1
- update to 2.31.4
- fix issue where client minimized to icon will not quit when told to

* Wed Jul 28 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1:2.31.2-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-7
- update to 738, which has most of my patches merged!

* Mon Jul 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-4
- rebase on pre3 branch

* Mon Jul 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-3
- fix 729 patch

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-2
- add gwibber nbsp unicode hack fix

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-1
- sync up to 2.31.2

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-14
- back out libproxy patch. just makes everything stall out.

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-13
- cleanup facebook auth screen again

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-12
- remove connect timeout from network.py

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-11
- libproxy
- fix exception handling
- more facebook fix

* Fri Jun 25 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-10
- notifications

* Fri May 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-9
- more facebook fixes

* Thu May 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-8
- facebook fixes

* Wed May 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-7
- switch to sqlite backend branch

* Fri May  7 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-6
- update to bzr revision 721

* Wed Apr 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-5
- if ~/.cache/gwibber does not exist, create it with os.makedirs() not os.mkdir()

* Wed Apr 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-4
- default notification icon size is now 48 x 48

* Fri Apr 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-3
- add notification area support

* Tue Apr 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-2
- add fix for https://bugs.launchpad.net/gwibber/+bug/546392

* Thu Apr 15 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-1
- update to 2.30.0.1

* Thu Apr  8 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.94-1
- update to 2.29.94

* Wed Mar 31 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.93-1
- update to 2.29.93

* Wed Mar 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92.1-2
- add missing Requires: gnome-python2-libwnck

* Wed Mar 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92.1-1
- update to 2.29.92.1

* Fri Mar 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92-1
- update to 2.29.92

* Tue Mar  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.91-1
- update to 2.29.91

* Wed Jan  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.0.0-2.491bzr
- Update to r491

* Sun Nov 22 2009 Ian Weller <ian@ianweller.org> - 1:2.0.0-2.478bzr
- Add Requires: python-pycurl

* Thu Nov 19 2009 Ian Weller <ian@ianweller.org> - 1:2.0.0-1.478bzr
- Major update to 2.0 code

* Mon Jul 13 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-2.349bzr
- update to r349, bugfixes

* Tue Jun 23 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-1.345bzr
- update to r345

* Tue Jun  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.9.1-3.339bzr
- template theme engine merged onto main devel branch
- move to r339

* Wed Apr 22 2009 Ian Weller <ianweller@gmail.com> - 1:0.9.1-2.288bzr
- Update to r288, gwibber will now scroll back to where it was before a refresh
- Fix bugzilla.redhat.com/497108, add Requires: python-mako
- Version number is actually 0.9.1 now (multiple branch switches on my part are at fault), add Epoch

* Tue Apr 21 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1.287bzr
- move to template-theme-engine branch, 287

* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 1.0.1-1.286bzr
- Update from upstream revision 286

* Tue Mar 17 2009 Ian Weller <ianweller@gmail.com> 0.9.1-1.251bzr
- Update from upstream revision 251
- Adjust pjones's patch to use spaces

* Tue Mar 17 2009 Peter Jones <pjones@redhat.com>
- Fix missing Requires: libsoup

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2.239bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Ian Weller <ianweller@gmail.com> 0.8-1.239bzr
- Update from upstream revision 239:
  - Integration with GNOME keyring (add Requires: gnome-python2-gnomekeyring)
  - Support for notifications to detect service capabilities

* Sat Feb 14 2009 Ian Weller <ianweller@gmail.com> 0.7.3-6.237bzr
- Update from upstream revision 237:
  - Return identi.ca back to http:// (not merged into 1.0 branch)
  - Error window fix and other minor bugfixes

* Mon Feb  9 2009 Ian Weller <ianweller@gmail.com> 0.7.3-5.234bzr
- Update upstream to r234:
  - Switch identi.ca to http://
  - Localized time
  - defaultsmall changes in tandem with default theme
  - New theme: funkatron

* Wed Feb 04 2009 Ian Weller <ianweller@gmail.com> 0.7.3-4.223bzr
- Update upstream to r223:
  - Show reply to links from Laconica servers
  - Only runs new gwibber if one isn't running already
  - Better support for adding Jaiku, Ping.fm, and Facebook accounts
  - Support for showing a Twitterer's user timeline in a new tab
  - Other programming and translation improvements and bugfixes

* Wed Jan 28 2009 Ian Weller <ianweller@gmail.com> 0.7.3-3.199bzr
- Update upstream to r199:
  - more translations
  - "source" in identica and laconica now identified
  - account manager bug fix

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-2.196bzr
- Restore the Requires on python-sexy that I accidentally overwrote

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-1.196bzr
- Add Requires: python-imaging (PIL)
- Add BuildRequires: python-distutils-extra, intltool and gettext for i18n
- Add build and installation lines for i18n support
- Move shebang remover to setup
- Fix version in setup.py
- Update upstream

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> 0.7.2-5.165bzr
- Enable spell checking by adding missing requires on python-sexy.

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 0.7.2-3.165bzr
- Update upstream

* Sun Dec 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.2-2.156bzr
- add missing Requires: pyxdg

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 0.7.2-1.156bzr
- Update upstream

* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1.134bzr
- Update upstream
- Remove patch from J. Katz, fixed upstream

* Thu Oct  2 2008 Jeremy Katz <katzj@redhat.com> - 0.7-6.102bzr
- Use the system python-simplejson rather than the one included in the
  tarball (#464727)

* Mon Sep 29 2008 Ian Weller <ianweller@gmail.com> 0.7-5.102bzr
- Requires: mx

* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 0.7-4.102bzr
- Update upstream
- Fix requires: s/pywebkitgui/pywebkitgtk/
- Fix requires: python-simplejson >= 1.9.1

* Sat Aug 30 2008 Ian Weller <ianweller@gmail.com> 0.7-3.101bzr
- Update upstream to webkitui branch

* Tue Aug 05 2008 Ian Weller <ianweller@gmail.com> 0.7-2.61bzr
- Patch facebook.py to find ui/preferences.glade in the right location

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.7-1.61bzr
- Initial package build.
